PipeWire: Data Fields - Variables

PipeWire 1.2.0

Loading...
Searching...
No Matches
Here is a list of all variables with links to the structures/unions they belong to:

### - s -

- sched_link : spa_graph_node
- seconds : spa_io_segment_video
- segments : spa_io_position
- send_command : pw_node_methods, spa_node_methods
- seq : pw_protocol_native_message, spa_meta_header, spa_param_info
- sequence : spa_io_sequence, spa_meta_control
- server_demarshal : pw_protocol_marshal
- server_marshal : pw_protocol_marshal
- session_id : pw_endpoint_info, pw_endpoint_link_info
- set_activation : pw_client_node_events
- set_active : pw_client_node_methods
- set_callbacks : spa_node_methods
- set_io : pw_client_node_events, spa_node_methods
- set_param : pw_client_endpoint_events, pw_client_node_events, pw_client_session_events, pw_device_methods, pw_endpoint_link_methods, pw_endpoint_methods, pw_endpoint_stream_methods, pw_node_methods, pw_session_methods, spa_device_methods, spa_node_methods
- set_params : spa_audio_aec_methods
- set_paused : pw_protocol_client
- set_property : pw_metadata_methods
- set_props : spa_audio_aec_methods
- set_session_id : pw_client_endpoint_events
- signal : spa_graph_link
- signal_data : spa_graph_link
- signal_event : spa_loop_utils_methods
- signalfd_create : spa_system_methods
- signalfd_read : spa_system_methods
- signature_denom : spa_io_segment_bar
- signature_num : spa_io_segment_bar
- size : pw_array, pw_buffer, pw_client_node_buffer, pw_map_range, pw_memblock, pw_memmap, pw_protocol_native_message, pw_time, spa_chunk, spa_io_memory, spa_io_rate_match, spa_io_video_size, spa_meta, spa_meta_bitmap, spa_pod, spa_pod_builder, spa_pod_parser, spa_region, spa_video_info_h264, spa_video_info_mjpg, spa_video_info_raw
- skel_size : spa_buffer_alloc_info
- state : pw_endpoint_link_info, pw_link_info, pw_node_info, spa_graph, spa_graph_link, spa_graph_node, spa_io_position, spa_json, spa_pod_builder, spa_pod_parser
- state_changed : pw_filter_events, pw_impl_link_events, pw_impl_node_events, pw_impl_port_events, pw_stream_events
- state_request : pw_impl_node_events
- status : spa_graph_state, spa_io_buffers, spa_io_memory
- steal_fd : pw_protocol_client
- stream_format : spa_audio_info_aac, spa_video_info_h264
- stream_set_param : pw_client_endpoint_events
- stream_update : pw_client_endpoint_methods
- stride : spa_chunk, spa_io_video_size, spa_meta_bitmap
- subgraph : spa_graph_node
- subscribe_params : pw_device_methods, pw_endpoint_link_methods, pw_endpoint_methods, pw_endpoint_stream_methods, pw_node_methods, pw_port_methods, pw_session_methods
- sync : pw_core_methods, spa_device_methods, spa_node_methods
- system : pw_loop